Is FOG installer ready to install php70 under RedHat 7


  • Developer

    Hi,

    I am having troubles with the performance of my FOG server, version 1.5.2, and I saw that my server run php 5.6. In this post PHP 7.0.0 finally Released appears that the performance of PHP 7 is better than PHP 5.6, then I have decided to upgrade the PHP version but the fog installer script installs the remi.php56 repository and doesn’t install the PHP7.

    I can install the PHP 7 manually but is better that the installer does it automatic :)

    Disable the repo that FOG installer installs:
    #yum-config-manager --disable remi-php56
    Stop all FOG services and httpd and php-fpm
    yum remove php php-process-5.6.36-1.el7.remi.x86_64 php-pecl-zip-1.15.2-1.el7.remi.5.6.x86_64 php-mcrypt-5.6.36-1.el7.remi.x86_64 php-mysqlnd-5.6.36-1.el7.remi.x86_64 php-ldap-5.6.36-1.el7.remi.x86_64 php-fpm-5.6.36-1.el7.remi.x86_64 php-pdo-5.6.36-1.el7.remi.x86_64 php-5.6.36-1.el7.remi.x86_64 php-bcmath-5.6.36-1.el7.remi.x86_64 php-pecl-jsonc-1.3.10-2.el7.remi.5.6.x86_64 php-common-5.6.36-1.el7.remi.x86_64 php-mbstring-5.6.36-1.el7.remi.x86_64 php-cli-5.6.36-1.el7.remi.x86_64 php-gd-5.6.36-1.el7.remi.x86_64

    Check taht the php 5.6 packages are uninstalled
    #rpm -qa | grep php
    #yum clean all
    #rm -rf /var/cache/yum

    [UPDATED]
    I follow the instructions that are hosted in [webtatic](informacion en https://webtatic.com/packages/php70/)

    #rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
    #yum install php70w php70w-bcmath php70w-fpm php70w-gd php70w-mbstring php70w-mcrypt php70w-mysqlnd php70w-process

    Add the remi-php70 repository
    rpm -Uvh http://rpms.remirepo.net/enterprise/remi-release-7.rpm (I had installed it)
    yum-config-manager --enable remi-php70
    yum -y update
    [UPDATED]

    Restart all FOG services and httpd and php-fpm (I my case I need to enable the php-fpm)
    #systemctl enable php-fpm
    #systemctl start php-fpm


  • Developer

    Works fine adding the remi-php70 repository! Please close the ticket


  • Developer

    Well, I have tested the installer og FOG 1.5.4 and works fine but first you need something.

    Add the remi-php70 repository
    rpm -Uvh http://rpms.remirepo.net/enterprise/remi-release-7.rpm (I had installed it)
    yum-config-manager --enable remi-php70
    yum -y update

    The last command update the php70 to the remi-php70 version (in my case php 7.0.32) and desinstalled the php70w version (I installed the php 7.0 version from webtonic repository)

    I run the installer and works fine. I will test it again in the production server, if it is success, please, close the ticket


  • Developer

    Hi @Sebastian-Roth my /opt/fog/.fogseetings:

    # more /opt/fog/.fogsettings
    ## Start of FOG Settings
    ## Created by the FOG Installer
    ## Find more information about this file in the FOG Project wiki:
    ##     https://wiki.fogproject.org/wiki/index.php?title=.fogsettings
    ## Version: 1.5.2
    ## Install time: lun 12 jun 2017 15:33:24 CEST
    ipaddress='10.0.15.4'
    copybackold='0'
    interface='ens192'
    submask='255.255.255.0'
    routeraddress='10.0.15.1'
    plainrouter='10.0.15.1'
    dnsaddress='10.10.13.6'
    username='fog'
    password="r/ED5ev+GmXD0GuoYHO5AAzCYsWXav7p2dksV40NivY="
    osid='1'
    osname='Redhat'
    dodhcp='N'
    bldhcp='0'
    dhcpd='dhcpd'
    blexports='1'
    installtype='N'
    snmysqluser='root'
    snmysqlpass=''
    snmysqlhost='localhost'
    installlang='1'
    storageLocation='/images'
    fogupdateloaded=1
    docroot='/var/www/html/'
    webroot='/fog/'
    caCreated='yes'
    startrange=''
    endrange=''
    bootfilename='undionly.kpxe'
    packages='bc curl gcc gcc-c++ gettext gzip httpd lftp m4 make mariadb mariadb-server mod_ssl net-tools nfs-utils php php-bcmath php-cli php-
    common php-fpm php-gd php-ldap php-mbstring php-mysqlnd php-process tar tftp-server unzip vsftpd wget xinetd'
    noTftpBuild=''
    notpxedefaultfile=''
    sslpath='/opt/fog/snapins/ssl/'
    backupPath=''
    php_ver=''
    php_verAdds=''
    sslprivkey='/opt/fog/snapins/ssl//.srvprivate.key'
    ## End of FOG Settings
    httpproto='http'
    

    Can I edit it to changes the php5.6 packages to php70w packages and upgrade my version to 1.5.4?

    I installed php-fpm from working branch because the 1.5.1 version had performance problems XD, I think that php-fpm was introduced in 1.5.2.
    PHP-FPM works great and if you install php70w and php-fpm70w works better than php56.


  • Moderator

    Also be aware that I think 1.5.2 FOG started using php-fpm service which also relies on being in sync with the installed version of php. I’m not 100% sure that 1.5.2 uses php-fpm or that was introduced with 1.5.3. A quick check with this command will tell you if its running ps aux|grep php-fpm if nothing is returned then you are OK. If php-fpm IS installed then we need to tweak a few settings to make FOG happier under heavy load.

    PHP-FPM was specifically introduced to address the slow GUI issues because of the heavier demands of the 1.5.x fog gui.


  • Developer

    @Fernando-Gietz On a system where FOG is already installed you want to take a look at /opt/fog/.fogsettings (line packages=...).


  • Moderator

    Afaik, FOG installer already tries to install php 7 (it’s got 7.2 on mine).

    It’s just that if you already have PHP installed (5.6 or whatever) it won’t change it afaik. (except updates I guess)


 

578
Online

5.4k
Users

12.6k
Topics

118.9k
Posts